# Generated from logtime-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logtime

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Log your time
License: MIT
URL: https://github.com/Paperback/Logtime.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
BuildArch: noarch

%description
Tag, record and estimate your time in the shell.
Get better at time estimation with statistics.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/logtime
%{_bindir}/lt
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/UPDATES.md
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/makefile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/logtime.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.1-1
- Initial package
